Package org.eclipse.net4j.util.om.log

# Class Logger

java.lang.Object
org.eclipse.net4j.util.om.log.Logger

All Implemented Interfaces:
  `OMLogger`

public class Logger extends Object implements OMLogger
The default `logger` implementation.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.om.log.OMLogger

`OMLogger.Level`

## Constructor Summary

Constructors
Constructor
Description
`Logger(OMBundle bundle)`

## Method Summary

Modifier and Type
Method
Description
`void`
`debug(String msg)`
`void`
`debug(String msg, Throwable t)`
`void`
`debug(Throwable t)`
`void`
`error(String msg)`
`void`
`error(String msg, Throwable t)`
`void`
`error(Throwable t)`
`OMBundle`
`getBundle()`
`void`
`info(String msg)`
`void`
`info(String msg, Throwable t)`
`void`
`info(Throwable t)`
`void`
`log(OMLogger.Level level, String msg)`
`void`
`log(OMLogger.Level level, String msg, Throwable t)`
`void`
`log(OMLogger.Level level, Throwable t)`
`void`
`warn(String msg)`
`void`
`warn(String msg, Throwable t)`
`void`
`warn(Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Logger

public Logger(OMBundle bundle)

## Method Details

### getBundle

public OMBundle getBundle()

Specified by:
  `getBundle` in interface `OMLogger`

### log

public void log(OMLogger.Level level, String msg, Throwable t)

Specified by:
  `log` in interface `OMLogger`

### error

public void error(String msg, Throwable t)

Specified by:
  `error` in interface `OMLogger`

### warn

public void warn(String msg, Throwable t)

Specified by:
  `warn` in interface `OMLogger`

### info

public void info(String msg, Throwable t)

Specified by:
  `info` in interface `OMLogger`

### debug

public void debug(String msg, Throwable t)

Specified by:
  `debug` in interface `OMLogger`

### log

public void log(OMLogger.Level level, String msg)

Specified by:
  `log` in interface `OMLogger`

### error

public void error(String msg)

Specified by:
  `error` in interface `OMLogger`

### warn

public void warn(String msg)

Specified by:
  `warn` in interface `OMLogger`

### info

public void info(String msg)

Specified by:
  `info` in interface `OMLogger`

### debug

public void debug(String msg)

Specified by:
  `debug` in interface `OMLogger`

### log

public void log(OMLogger.Level level, Throwable t)

Specified by:
  `log` in interface `OMLogger`

### error

public void error(Throwable t)

Specified by:
  `error` in interface `OMLogger`

### warn

public void warn(Throwable t)

Specified by:
  `warn` in interface `OMLogger`

### info

public void info(Throwable t)

Specified by:
  `info` in interface `OMLogger`

### debug

public void debug(Throwable t)

Specified by:
  `debug` in interface `OMLogger`